library(ggplot2)

#faili sisselugemine ja andmete formaadi korrigeerimine
J411=read.csv("PT4-T4.1-J4.1.1.csv",header=TRUE, encoding ="UTF-8")
names(J411)=gsub("\\.", " ", names(J411))
J411$Riik[J411$Riik=="Venemaa"]="Serbia"

#joonis
ggplot(J411)+
  geom_point(aes(x=`Emotsionaalsed probleemid`,y=`Digikeskkonna turvalisus`),cex=3,col="#FF3600")+
  geom_label(aes(x=`Emotsionaalsed probleemid`+0.02,y=`Digikeskkonna turvalisus`+0.04,label=Riik),cex=3,col="#668080",fontface="bold",alpha=0.5)+
  theme_minimal()+
  geom_abline(aes(slope=0, intercept=1.386875),col="#668080")+
  geom_vline(xintercept=1.825,col="#668080")+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  scale_x_continuous(breaks=seq(1.2,2.2,0.2))+
  scale_y_continuous(breaks=seq(0.5,2.5,0.5))+
  xlab("Emotsionaalsed probleemid")+
  ylab("Digikeskkonna turvalisus")







